For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Welcome
  • API Reference
      • GETListar Asistentes
      • POSTCrear Asistente
      • GETObtener Asistente
      • DELEliminar Asistente
      • PATCHActualizar Asistente
Logo
API ReferenceAssistants

Actualizar Asistente

PATCH
https://nebrijaai.com/api/v1/assistants/:id
PATCH
/api/v1/assistants/:id
$curl -X PATCH https://nebrijaai.com/api/v1/assistants/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "name": "Asistente de Ventas",
4 "config": {},
5 "isLocked": false,
6 "createdAt": "2024-01-15T09:30:00Z",
7 "updatedAt": "2024-04-20T11:45:00Z"
8}

Actualiza un asistente existente. Solo se actualizarán los campos proporcionados.

Was this page helpful?
Previous

Listar Llamadas

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringOptional
firstMessagestringOptional
modelobjectOptional
voiceobjectOptional
transcriberobjectOptional
startSpeakingPlanobjectOptional
stopSpeakingPlanobjectOptional
voicemailDetectionobjectOptional
structuredDatalist of objectsOptional

Response

Assistant updated.
idstringformat: "uuid"
namestring
configobject
isLockedboolean
createdAtdatetime
updatedAtdatetime